Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513178 - selinux issues with IPA
Summary: selinux issues with IPA
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 21:49 UTC by Scott Poore
Modified: 2017-11-27 16:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-27 16:54:01 UTC


Attachments (Terms of Use)

Description Scott Poore 2017-11-14 21:49:57 UTC
Description of problem:

In a fresh install, I'm seeing some selinux failures during ipa-server-install and also seeing some AVC denials:

1. /usr/sbin/setsebool -P httpd_can_network_connect=on httpd_dbus_sssd=on httpd_run_ipa=on httpd_manage_ipa=on

libsepol.context_from_record: type svnserve_log_t is not defined
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert system_u:object_r:svnserve_log_t:s0 to sid
invalid context system_u:object_r:svnserve_log_t:s0


2. [root@ipaserver ~]# cat /var/log/audit/audit.log | audit2allow

#============= named_t ==============

#!!!! This avc can be allowed using the boolean 'named_write_master_zones'
allow named_t named_zone_t:dir { add_name create setattr write };

#!!!! This avc can be allowed using the boolean 'named_write_master_zones'
allow named_t named_zone_t:file { create write };

3. setsebool -P named_write_master_zones=on

libsepol.context_from_record: type svnserve_log_t is not defined
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert system_u:object_r:svnserve_log_t:s0 to sid
invalid context system_u:object_r:svnserve_log_t:s0


Version-Release number of selected component (if applicable):
ipa-server-4.5.4-4.el7.x86_64
selinux-policy-3.13.1-179.el7.noarch


How reproducible:
always

Steps to Reproduce:
1.  Install rhel7.5 host
2.  yum -y install ipa-server-dns
3.  ipa-server-install --setup-dns --forwarder=192.168.122.1 --allow-zone-overlap --reverse-zone=122.168.192.in-addr.arpa. --domain=ipa.test --realm=IPA.TEST --ds-password=Secret123 --admin-password=Secret123 --hostname=ipaserver.ipa.test --ip-address=192.168.122.162 --unattended


Actual results:
errors seen if selinux in enforcing

Configuring DNS key synchronization service (ipa-dnskeysyncd)
  [1/7]: checking status
  [2/7]: setting up bind-dyndb-ldap working directory
  [3/7]: setting up kerberos principal
  [4/7]: setting up SoftHSM
  [5/7]: adding DNSSEC containers
  [6/7]: creating replica keys
  [7/7]: configuring ipa-dnskeysyncd to start on boot
Done configuring DNS key synchronization service (ipa-dnskeysyncd).
Restarting ipa-dnskeysyncd
Restarting named
Updating DNS system records
ipa         : ERROR    DNS query for ipaserver.ipa.test. 1 failed: All nameservers failed to answer the query ipaserver.ipa.test. IN A: Server 127.0.0.1 UDP port 53 answered SERVFAIL
ipa         : ERROR    DNS query for ipaserver.ipa.test. 1 failed: All nameservers failed to answer the query ipaserver.ipa.test. IN A: Server 127.0.0.1 UDP port 53 answered SERVFAIL
ipa         : ERROR    DNS query for ipaserver.ipa.test. 1 failed: All nameservers failed to answer the query ipaserver.ipa.test. IN A: Server 127.0.0.1 UDP port 53 answered SERVFAIL
ipa         : ERROR    DNS query for ipaserver.ipa.test. 1 failed: All nameservers failed to answer the query ipaserver.ipa.test. IN A: Server 127.0.0.1 UDP port 53 answered SERVFAIL
ipa         : ERROR    DNS query for ipaserver.ipa.test. 1 failed: All nameservers failed to answer the query ipaserver.ipa.test. IN A: Server 127.0.0.1 UDP port 53 answered SERVFAIL
ipa         : ERROR    DNS query for ipaserver.ipa.test. 1 failed: All nameservers failed to answer the query ipaserver.ipa.test. IN A: Server 127.0.0.1 UDP port 53 answered SERVFAIL
ipa         : ERROR    unable to resolve host name ipaserver.ipa.test. to IP address, ipa-ca DNS record will be incomplete


And AVC denials mentioned/shown above.



Expected results:

clean install with no denials and setsebool from ipa-server-install works.

Additional info:

Comment 2 Scott Poore 2017-11-15 13:48:23 UTC
Forgot to list the whole AVC messages:

----
time->Tue Nov 14 15:40:22 2017
type=PROCTITLE msg=audit(1510695622.389:233): proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D63002F6574632F6E616D65642E636F6E66
type=SYSCALL msg=audit(1510695622.389:233): arch=c000003e syscall=83 success=yes exit=0 a0=7f1be63ea450 a1=1f8 a2=0 a3=76 items=0 ppid=1 pid=5674 auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25 sgid=25 fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11" exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
type=AVC msg=audit(1510695622.389:233): avc:  denied  { create } for  pid=5674 comm="named-pkcs11" name="master" scontext=system_u:system_r:named_t:s0 tcontext=system_u:object_r:named_zone_t:s0 tclass=dir
type=AVC msg=audit(1510695622.389:233): avc:  denied  { add_name } for  pid=5674 comm="named-pkcs11" name="master" scontext=system_u:system_r:named_t:s0 tcontext=unconfined_u:object_r:named_zone_t:s0 tclass=dir
type=AVC msg=audit(1510695622.389:233): avc:  denied  { write } for  pid=5674 comm="named-pkcs11" name="ipa" dev="dm-0" ino=50594045 scontext=system_u:system_r:named_t:s0 tcontext=unconfined_u:object_r:named_zone_t:s0 tclass=dir
----
time->Tue Nov 14 15:40:22 2017
type=PROCTITLE msg=audit(1510695622.389:234): proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D63002F6574632F6E616D65642E636F6E66
type=SYSCALL msg=audit(1510695622.389:234): arch=c000003e syscall=90 success=yes exit=0 a0=7f1be63ea450 a1=1f8 a2=0 a3=76 items=0 ppid=1 pid=5674 auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25 sgid=25 fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11" exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
type=AVC msg=audit(1510695622.389:234): avc:  denied  { setattr } for  pid=5674 comm="named-pkcs11" name="master" dev="dm-0" ino=50594052 scontext=system_u:system_r:named_t:s0 tcontext=system_u:object_r:named_zone_t:s0 tclass=dir
----
time->Tue Nov 14 15:40:22 2017
type=PROCTITLE msg=audit(1510695622.389:235): proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D63002F6574632F6E616D65642E636F6E66
type=SYSCALL msg=audit(1510695622.389:235): arch=c000003e syscall=83 success=yes exit=0 a0=7f1be63ea450 a1=1f8 a2=0 a3=76 items=0 ppid=1 pid=5674 auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25 sgid=25 fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11" exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
type=AVC msg=audit(1510695622.389:235): avc:  denied  { add_name } for  pid=5674 comm="named-pkcs11" name="ipa.test" scontext=system_u:system_r:named_t:s0 tcontext=system_u:object_r:named_zone_t:s0 tclass=dir
type=AVC msg=audit(1510695622.389:235): avc:  denied  { write } for  pid=5674 comm="named-pkcs11" name="master" dev="dm-0" ino=50594052 scontext=system_u:system_r:named_t:s0 tcontext=system_u:object_r:named_zone_t:s0 tclass=dir
----
time->Tue Nov 14 15:40:22 2017
type=PROCTITLE msg=audit(1510695622.551:236): proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D63002F6574632F6E616D65642E636F6E66
type=SYSCALL msg=audit(1510695622.551:236): arch=c000003e syscall=2 success=yes exit=11 a0=7f1bdb506fe8 a1=241 a2=1b6 a3=24 items=0 ppid=1 pid=5674 auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25 sgid=25 fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11" exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
type=AVC msg=audit(1510695622.551:236): avc:  denied  { write } for  pid=5674 comm="named-pkcs11" path="/var/named/dyndb-ldap/ipa/master/ipa.test/raw.jnl" dev="dm-0" ino=875401 scontext=system_u:system_r:named_t:s0 tcontext=system_u:object_r:named_zone_t:s0 tclass=file
type=AVC msg=audit(1510695622.551:236): avc:  denied  { create } for  pid=5674 comm="named-pkcs11" name="raw.jnl" scontext=system_u:system_r:named_t:s0 tcontext=system_u:object_r:named_zone_t:s0 tclass=file
----
time->Tue Nov 14 15:40:26 2017
type=PROCTITLE msg=audit(1510695626.564:237): proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D63002F6574632F6E616D65642E636F6E66
type=SYSCALL msg=audit(1510695626.564:237): arch=c000003e syscall=2 success=yes exit=16 a0=7f1bdfd76018 a1=2 a2=1b6 a3=24 items=0 ppid=1 pid=5674 auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25 sgid=25 fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11" exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
type=AVC msg=audit(1510695626.564:237): avc:  denied  { write } for  pid=5674 comm="named-pkcs11" name="raw.jnl" dev="dm-0" ino=875401 scontext=system_u:system_r:named_t:s0 tcontext=system_u:object_r:named_zone_t:s0 tclass=file
----

Comment 3 Scott Poore 2017-11-15 13:54:42 UTC
FIY previous listing in comment #2 was from permissive mode.

Comment 4 Lukas Slebodnik 2017-11-16 10:21:11 UTC
(In reply to Scott Poore from comment #2)
> Forgot to list the whole AVC messages:
> ----
> time->Tue Nov 14 15:40:22 2017
> type=PROCTITLE msg=audit(1510695622.389:233):
> proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D6
> 3002F6574632F6E616D65642E636F6E66
> type=SYSCALL msg=audit(1510695622.389:233): arch=c000003e syscall=83
> success=yes exit=0 a0=7f1be63ea450 a1=1f8 a2=0 a3=76 items=0 ppid=1 pid=5674
> auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25 sgid=25
> fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11"
> exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
> type=AVC msg=audit(1510695622.389:233): avc:  denied  { create } for 
> pid=5674 comm="named-pkcs11" name="master"
> scontext=system_u:system_r:named_t:s0
> tcontext=system_u:object_r:named_zone_t:s0 tclass=dir
> type=AVC msg=audit(1510695622.389:233): avc:  denied  { add_name } for 
> pid=5674 comm="named-pkcs11" name="master"
> scontext=system_u:system_r:named_t:s0
> tcontext=unconfined_u:object_r:named_zone_t:s0 tclass=dir
> type=AVC msg=audit(1510695622.389:233): avc:  denied  { write } for 
> pid=5674 comm="named-pkcs11" name="ipa" dev="dm-0" ino=50594045
> scontext=system_u:system_r:named_t:s0
> tcontext=unconfined_u:object_r:named_zone_t:s0 tclass=dir

All files with type named_zone_t are in directory /var/named/ or in /var/named/chroot/var/named/*

sh# semanage fcontext -l | grep named_zone_t
/var/named(/.*)?                                   all files          system_u:object_r:named_zone_t:s0 
/var/named/chroot/var/named(/.*)?                  all files          system_u:object_r:named_zone_t:s0 

And it looks like bind(-dyndb-ldap) tries to create directory there.

> ----
> time->Tue Nov 14 15:40:22 2017
> type=PROCTITLE msg=audit(1510695622.389:234):
> proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D6
> 3002F6574632F6E616D65642E636F6E66
> type=SYSCALL msg=audit(1510695622.389:234): arch=c000003e syscall=90
> success=yes exit=0 a0=7f1be63ea450 a1=1f8 a2=0 a3=76 items=0 ppid=1 pid=5674
> auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25 sgid=25
> fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11"
> exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
> type=AVC msg=audit(1510695622.389:234): avc:  denied  { setattr } for 
> pid=5674 comm="named-pkcs11" name="master" dev="dm-0" ino=50594052
> scontext=system_u:system_r:named_t:s0
> tcontext=system_u:object_r:named_zone_t:s0 tclass=dir
> ----
> time->Tue Nov 14 15:40:22 2017
> type=PROCTITLE msg=audit(1510695622.389:235):
> proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D6
> 3002F6574632F6E616D65642E636F6E66
> type=SYSCALL msg=audit(1510695622.389:235): arch=c000003e syscall=83
> success=yes exit=0 a0=7f1be63ea450 a1=1f8 a2=0 a3=76 items=0 ppid=1 pid=5674
> auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25 sgid=25
> fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11"
> exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
> type=AVC msg=audit(1510695622.389:235): avc:  denied  { add_name } for 
> pid=5674 comm="named-pkcs11" name="ipa.test"
> scontext=system_u:system_r:named_t:s0
> tcontext=system_u:object_r:named_zone_t:s0 tclass=dir
> type=AVC msg=audit(1510695622.389:235): avc:  denied  { write } for 
> pid=5674 comm="named-pkcs11" name="master" dev="dm-0" ino=50594052
> scontext=system_u:system_r:named_t:s0
> tcontext=system_u:object_r:named_zone_t:s0 tclass=dir
> ----
> time->Tue Nov 14 15:40:22 2017
> type=PROCTITLE msg=audit(1510695622.551:236):
> proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D6
> 3002F6574632F6E616D65642E636F6E66
> type=SYSCALL msg=audit(1510695622.551:236): arch=c000003e syscall=2
> success=yes exit=11 a0=7f1bdb506fe8 a1=241 a2=1b6 a3=24 items=0 ppid=1
> pid=5674 auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25
> sgid=25 fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11"
> exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
> type=AVC msg=audit(1510695622.551:236): avc:  denied  { write } for 
> pid=5674 comm="named-pkcs11"
> path="/var/named/dyndb-ldap/ipa/master/ipa.test/raw.jnl" dev="dm-0"
        ^^^^^^^^^^^^^^^^^^^^^^^^^^
This seems to be directory (+all subdirectories) which caused1st avc.
sh# rpm -qf /var/named/dyndb-ldap/
bind-dyndb-ldap-11.1-4.el7.x86_64
sh# rpm -ql bind-dyndb-ldap | grep var
/var/named/dyndb-ldap

> ino=875401 scontext=system_u:system_r:named_t:s0
> tcontext=system_u:object_r:named_zone_t:s0 tclass=file
> type=AVC msg=audit(1510695622.551:236): avc:  denied  { create } for 
> pid=5674 comm="named-pkcs11" name="raw.jnl"
> scontext=system_u:system_r:named_t:s0
> tcontext=system_u:object_r:named_zone_t:s0 tclass=file
> ----
> time->Tue Nov 14 15:40:26 2017
> type=PROCTITLE msg=audit(1510695626.564:237):
> proctitle=2F7573722F7362696E2F6E616D65642D706B63733131002D75006E616D6564002D6
> 3002F6574632F6E616D65642E636F6E66
> type=SYSCALL msg=audit(1510695626.564:237): arch=c000003e syscall=2
> success=yes exit=16 a0=7f1bdfd76018 a1=2 a2=1b6 a3=24 items=0 ppid=1
> pid=5674 auid=4294967295 uid=25 gid=25 euid=25 suid=25 fsuid=25 egid=25
> sgid=25 fsgid=25 tty=(none) ses=4294967295 comm="named-pkcs11"
> exe="/usr/sbin/named-pkcs11" subj=system_u:system_r:named_t:s0 key=(null)
> type=AVC msg=audit(1510695626.564:237): avc:  denied  { write } for 
> pid=5674 comm="named-pkcs11" name="raw.jnl" dev="dm-0" ino=875401
> scontext=system_u:system_r:named_t:s0
> tcontext=system_u:object_r:named_zone_t:s0 tclass=file
> ----

Comment 9 Scott Poore 2017-11-27 16:54:01 UTC
I am closing this since I no longer see the issue.

[root@rhel7-1 ~]# rpm -q selinux-policy ipa-server sssd bind-dyndb-ldap
selinux-policy-3.13.1-180.el7.noarch
ipa-server-4.5.4-4.el7.x86_64
sssd-1.16.0-6.el7.x86_64
bind-dyndb-ldap-11.1-4.el7.x86_64


[root@rhel7-1 ~]# ipa-server-install --setup-dns --forwarder=192.168.122.1 --allow-zone-overlap --reverse-zone=122.168.192.in-addr.arpa. --domain=example.com --realm=EXAMPLE.COM --ds-password=Secret123 --admin-password=Secret123 --hostname=rhel7-1.example.com --ip-address=192.168.122.71 --unattended

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)
  * Configure the KDC to enable PKINIT

WARNING: conflicting time&date synchronization service 'chronyd' will be disabled
in favor of ntpd

Warning: skipping DNS resolution of host rhel7-1.example.com
Checking DNS domain example.com., please wait ...
Checking DNS forwarders, please wait ...
Using reverse zone(s) 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:       rhel7-1.example.com
IP address(es): 192.168.122.71
Domain name:    example.com
Realm name:     EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:       192.168.122.1
Forward policy:   only
Reverse zone(s):  122.168.192.in-addr.arpa.

Adding [192.168.122.71 rhel7-1.example.com] to your /etc/hosts file
Configuring NTP daemon (ntpd)
  [1/4]: stopping ntpd
  [2/4]: writing configuration
  [3/4]: configuring ntpd to start on boot
  [4/4]: starting ntpd
Done configuring NTP daemon (ntpd).
Configuring directory server (dirsrv). Estimated time: 30 seconds
  [1/45]: creating directory server instance
  [2/45]: enabling ldapi
  [3/45]: configure autobind for root
  [4/45]: stopping directory server
  [5/45]: updating configuration in dse.ldif
  [6/45]: starting directory server
  [7/45]: adding default schema
  [8/45]: enabling memberof plugin
  [9/45]: enabling winsync plugin
  [10/45]: configuring replication version plugin
  [11/45]: enabling IPA enrollment plugin
  [12/45]: configuring uniqueness plugin
  [13/45]: configuring uuid plugin
  [14/45]: configuring modrdn plugin
  [15/45]: configuring DNS plugin
  [16/45]: enabling entryUSN plugin
  [17/45]: configuring lockout plugin
  [18/45]: configuring topology plugin
  [19/45]: creating indices
  [20/45]: enabling referential integrity plugin
  [21/45]: configuring certmap.conf
  [22/45]: configure new location for managed entries
  [23/45]: configure dirsrv ccache
  [24/45]: enabling SASL mapping fallback
  [25/45]: restarting directory server
  [26/45]: adding sasl mappings to the directory
  [27/45]: adding default layout
  [28/45]: adding delegation layout
  [29/45]: creating container for managed entries
  [30/45]: configuring user private groups
  [31/45]: configuring netgroups from hostgroups
  [32/45]: creating default Sudo bind user
  [33/45]: creating default Auto Member layout
  [34/45]: adding range check plugin
  [35/45]: creating default HBAC rule allow_all
  [36/45]: adding entries for topology management
  [37/45]: initializing group membership
  [38/45]: adding master entry
  [39/45]: initializing domain level
  [40/45]: configuring Posix uid/gid generation
  [41/45]: adding replication acis
  [42/45]: activating sidgen plugin
  [43/45]: activating extdom plugin
  [44/45]: tuning directory server
  [45/45]: configuring directory to start on boot
Done configuring directory server (dirsrv).
Configuring Kerberos KDC (krb5kdc)
  [1/10]: adding kerberos container to the directory
  [2/10]: configuring KDC
  [3/10]: initialize kerberos container
  [4/10]: adding default ACIs
  [5/10]: creating a keytab for the directory
  [6/10]: creating a keytab for the machine
  [7/10]: adding the password extension to the directory
  [8/10]: creating anonymous principal
  [9/10]: starting the KDC
  [10/10]: configuring KDC to start on boot
Done configuring Kerberos KDC (krb5kdc).
Configuring kadmin
  [1/2]: starting kadmin 
  [2/2]: configuring kadmin to start on boot
Done configuring kadmin.
Configuring certificate server (pki-tomcatd). Estimated time: 3 minutes
  [1/29]: configuring certificate server instance
  [2/29]: exporting Dogtag certificate store pin
  [3/29]: stopping certificate server instance to update CS.cfg
  [4/29]: backing up CS.cfg
  [5/29]: disabling nonces
  [6/29]: set up CRL publishing
  [7/29]: enable PKIX certificate path discovery and validation
  [8/29]: starting certificate server instance
  [9/29]: configure certmonger for renewals
  [10/29]: requesting RA certificate from CA
  [11/29]: setting up signing cert profile
  [12/29]: setting audit signing renewal to 2 years
  [13/29]: restarting certificate server
  [14/29]: publishing the CA certificate
  [15/29]: adding RA agent as a trusted user
  [16/29]: authorizing RA to modify profiles
  [17/29]: authorizing RA to manage lightweight CAs
  [18/29]: Ensure lightweight CAs container exists
  [19/29]: configure certificate renewals
  [20/29]: configure Server-Cert certificate renewal
  [21/29]: Configure HTTP to proxy connections
  [22/29]: restarting certificate server
  [23/29]: updating IPA configuration
  [24/29]: enabling CA instance
  [25/29]: migrating certificate profiles to LDAP
  [26/29]: importing IPA certificate profiles
  [27/29]: adding default CA ACL
  [28/29]: adding 'ipa' CA entry
  [29/29]: configuring certmonger renewal for lightweight CAs
Done configuring certificate server (pki-tomcatd).
Configuring directory server (dirsrv)
  [1/3]: configuring TLS for DS instance
  [2/3]: adding CA certificate entry
  [3/3]: restarting directory server
Done configuring directory server (dirsrv).
Configuring ipa-otpd
  [1/2]: starting ipa-otpd 
  [2/2]: configuring ipa-otpd to start on boot
Done configuring ipa-otpd.
Configuring ipa-custodia
  [1/5]: Generating ipa-custodia config file
  [2/5]: Making sure custodia container exists
  [3/5]: Generating ipa-custodia keys
  [4/5]: starting ipa-custodia 
  [5/5]: configuring ipa-custodia to start on boot
Done configuring ipa-custodia.
Configuring the web interface (httpd)
  [1/22]: stopping httpd
  [2/22]: setting mod_nss port to 443
  [3/22]: setting mod_nss cipher suite
  [4/22]: setting mod_nss protocol list to TLSv1.0 - TLSv1.2
  [5/22]: setting mod_nss password file
  [6/22]: enabling mod_nss renegotiate
  [7/22]: disabling mod_nss OCSP
  [8/22]: adding URL rewriting rules
  [9/22]: configuring httpd
  [10/22]: setting up httpd keytab
  [11/22]: configuring Gssproxy
  [12/22]: setting up ssl
  [13/22]: configure certmonger for renewals
  [14/22]: importing CA certificates from LDAP
  [15/22]: publish CA cert
  [16/22]: clean up any existing httpd ccaches
  [17/22]: configuring SELinux for httpd
  [18/22]: create KDC proxy config
  [19/22]: enable KDC proxy
  [20/22]: starting httpd
  [21/22]: configuring httpd to start on boot
  [22/22]: enabling oddjobd
Done configuring the web interface (httpd).
Configuring Kerberos KDC (krb5kdc)
  [1/1]: installing X509 Certificate for PKINIT
Done configuring Kerberos KDC (krb5kdc).
Applying LDAP updates
Upgrading IPA:. Estimated time: 1 minute 30 seconds
  [1/9]: stopping directory server
  [2/9]: saving configuration
  [3/9]: disabling listeners
  [4/9]: enabling DS global lock
  [5/9]: starting directory server
  [6/9]: upgrading server
  [7/9]: stopping directory server
  [8/9]: restoring configuration
  [9/9]: starting directory server
Done.
Restarting the KDC
Configuring DNS (named)
  [1/12]: generating rndc key file
  [2/12]: adding DNS container
  [3/12]: setting up our zone
  [4/12]: setting up reverse zone
  [5/12]: setting up our own record
  [6/12]: setting up records for other masters
  [7/12]: adding NS record to the zones
  [8/12]: setting up kerberos principal
  [9/12]: setting up named.conf
  [10/12]: setting up server configuration
  [11/12]: configuring named to start on boot
  [12/12]: changing resolv.conf to point to ourselves
Done configuring DNS (named).
Restarting the web server to pick up resolv.conf changes
Configuring DNS key synchronization service (ipa-dnskeysyncd)
  [1/7]: checking status
  [2/7]: setting up bind-dyndb-ldap working directory
  [3/7]: setting up kerberos principal
  [4/7]: setting up SoftHSM
  [5/7]: adding DNSSEC containers
  [6/7]: creating replica keys
  [7/7]: configuring ipa-dnskeysyncd to start on boot
Done configuring DNS key synchronization service (ipa-dnskeysyncd).
Restarting ipa-dnskeysyncd
Restarting named
Updating DNS system records
Configuring client side components
Using existing certificate '/etc/ipa/ca.crt'.
Client hostname: rhel7-1.example.com
Realm: EXAMPLE.COM
DNS Domain: example.com
IPA Server: rhel7-1.example.com
BaseDN: dc=example,dc=com

Skipping synchronizing time with NTP server.
New SSSD config will be created
Configured sudoers in /etc/nsswitch.conf
Configured /etc/sssd/sssd.conf
trying https://rhel7-1.example.com/ipa/json
[try 1]: Forwarding 'schema' to json server 'https://rhel7-1.example.com/ipa/json'
trying https://rhel7-1.example.com/ipa/session/json
[try 1]: Forwarding 'ping' to json server 'https://rhel7-1.example.com/ipa/session/json'
[try 1]: Forwarding 'ca_is_enabled' to json server 'https://rhel7-1.example.com/ipa/session/json'
Systemwide CA database updated.
Adding SSH public key from /etc/ssh/ssh_host_rsa_key.pub
Adding SSH public key from /etc/ssh/ssh_host_ecdsa_key.pub
Adding SSH public key from /etc/ssh/ssh_host_ed25519_key.pub
[try 1]: Forwarding 'host_mod' to json server 'https://rhel7-1.example.com/ipa/session/json'
SSSD enabled
Configured /etc/openldap/ldap.conf
Configured /etc/ssh/ssh_config
Configured /etc/ssh/sshd_config
Configuring example.com as NIS domain.
Client configuration complete.
The ipa-client-install command was successful

==============================================================================
Setup complete

Next steps:
	1. You must make sure these network ports are open:
		TCP Ports:
		  * 80, 443: HTTP/HTTPS
		  * 389, 636: LDAP/LDAPS
		  * 88, 464: kerberos
		  * 53: bind
		UDP Ports:
		  * 88, 464: kerberos
		  * 53: bind
		  * 123: ntp

	2. You can now obtain a kerberos ticket using the command: 'kinit admin'
	   This ticket will allow you to use the IPA tools (e.g., ipa user-add)
	   and the web user interface.

Be sure to back up the CA certificates stored in /root/cacert.p12
These files are required to create replicas. The password for these
files is the Directory Manager password

[root@rhel7-1 ~]# setsebool -P named_write_master_zones=on

[root@rhel7-1 ~]# 

[root@rhel7-1 ~]# ausearch -m avc
<no matches>

[root@rhel7-1 ~]# getenforce
Enforcing


Note You need to log in before you can comment on or make changes to this bug.